# @configu/cli

`Configu CLI` is the easiest interface for getting started with Configu. With the command-line interface (CLI), you can easily interact with Configu using a terminal or an automated system, providing you with all the functionality you need to orchestrate your configuration data and beyond.

## Install

The [CLI code is open-source](https://github.com/configu/configu/tree/main/packages/cli), and the [installation process](https://docs.configu.com/interfaces/cli/setup) is quick and easy, with lightweight binaries available for all major operating systems, Docker, and CI/CD platforms.

## Usage

For a step-by-step introduction, you can get started with [this guide](https://docs.configu.com/guides/hello-world).

For more examples explore the [examples directory](https://github.com/configu/configu/tree/main/examples).

## Synopsis

```shell
configu <command> [--string-flag <value>] [--boolean-flag]
```

Use `configu <command> --help` for information on a specific command. The synopsis for each command shows its flags and their usage. Optional parameters are shown in square brackets.

## Reference

See [interfaces/cli/ref](https://docs.configu.com/interfaces/cli/ref).

## Contributing

### Requirements

Follow the [Development](https://github.com/configu/configu/blob/main/CONTRIBUTING.md#development) section from the `CONTRIBUTING.md`.

### Setup

Run these commands in order:

```bash
pnpm install
```

### Contribute

Follow the [Sending a Pull Request](https://github.com/configu/configu/blob/main/CONTRIBUTING.md#sending-a-pull-request) section from the `CONTRIBUTING.md`.

### Debugging

```bash
cd packages/cli
pnpm configu <command>
```

Breakpoints:

- `cd packages/cli`
- Open `src/configu.ts`
- Hit "Play" / "Debug" with the `tsx` preset
